'========================================================================
'KARTRIS by cactusoft
'Copyright 2009-2012 CACTUSOFT INTERNATIONAL FZ LLC - www.kartris.com
'All rights reserved.
'========================================================================
Imports System.Xml
Imports System.Web.Security

Partial Public Class Skin_Corporate_Template

    Inherits System.Web.UI.MasterPage

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        baseTag.Attributes("href") = CkartrisBLL.WebShopURL()
        lnkFavIcon1.Href = CkartrisBLL.WebShopURL() & "favicon.ico"
        lnkFavIcon2.Href = lnkFavIcon1.Href
        If Not Page.IsPostBack Then UC_AdminBar.Visible = HttpSecureCookie.IsBackendAuthenticated

        'New usercontrol
        Dim objCategoryMenuUserControl As Control

        Select Case KartSettingsManager.GetKartConfig("frontend.display.categorymenu.type")
            Case "a"
                objCategoryMenuUserControl = LoadControl("~/UserControls/Skin/CategoryMenuAccordion.ascx")
            Case "d"
                objCategoryMenuUserControl = LoadControl("~/UserControls/Skin/CategoryMenuDropDownSelect.ascx")
            Case Else
                objCategoryMenuUserControl = LoadControl("~/UserControls/Skin/CategoryMenu.ascx")
        End Select

        'Add appropriate menu control
        phdCategoryMenu.Controls.Add(objCategoryMenuUserControl)
    End Sub

End Class
